curl --request GET \
--url https://api.payaza.africa/live/subsidiary/collections/v1/check-status \
--header 'Authorization: <api-key>' \
--header 'X-ProductID: <api-key>' \
--header 'X-TenantID: <api-key>'import requests
url = "https://api.payaza.africa/live/subsidiary/collections/v1/check-status"
headers = {
"Authorization": "<api-key>",
"X-TenantID": "<api-key>",
"X-ProductID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
Authorization: '<api-key>',
'X-TenantID': '<api-key>',
'X-ProductID': '<api-key>'
}
};
fetch('https://api.payaza.africa/live/subsidiary/collections/v1/check-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.payaza.africa/live/subsidiary/collections/v1/check-status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"X-ProductID: <api-key>",
"X-TenantID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.payaza.africa/live/subsidiary/collections/v1/check-status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("X-TenantID", "<api-key>")
req.Header.Add("X-ProductID", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.payaza.africa/live/subsidiary/collections/v1/check-status")
.header("Authorization", "<api-key>")
.header("X-TenantID", "<api-key>")
.header("X-ProductID", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.payaza.africa/live/subsidiary/collections/v1/check-status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
request["X-TenantID"] = '<api-key>'
request["X-ProductID"] = '<api-key>'
response = http.request(request)
puts response.read_bodyTransaction Status Query
This endpoint is used to check the status of a transaction using the transaction reference from the Momo Collection Request.
curl --request GET \
--url https://api.payaza.africa/live/subsidiary/collections/v1/check-status \
--header 'Authorization: <api-key>' \
--header 'X-ProductID: <api-key>' \
--header 'X-TenantID: <api-key>'import requests
url = "https://api.payaza.africa/live/subsidiary/collections/v1/check-status"
headers = {
"Authorization": "<api-key>",
"X-TenantID": "<api-key>",
"X-ProductID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
Authorization: '<api-key>',
'X-TenantID': '<api-key>',
'X-ProductID': '<api-key>'
}
};
fetch('https://api.payaza.africa/live/subsidiary/collections/v1/check-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.payaza.africa/live/subsidiary/collections/v1/check-status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"X-ProductID: <api-key>",
"X-TenantID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.payaza.africa/live/subsidiary/collections/v1/check-status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("X-TenantID", "<api-key>")
req.Header.Add("X-ProductID", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.payaza.africa/live/subsidiary/collections/v1/check-status")
.header("Authorization", "<api-key>")
.header("X-TenantID", "<api-key>")
.header("X-ProductID", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.payaza.africa/live/subsidiary/collections/v1/check-status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
request["X-TenantID"] = '<api-key>'
request["X-ProductID"] = '<api-key>'
response = http.request(request)
puts response.read_bodyAuthorizations
Payaza {{Public API Key in Base 64}}
live or test
default value is ‟app”
Query Parameters
The unique identifier of the transaction
The ISO Country Code. (ISO 3166-1 alpha-2) (GH-Ghana, TZ-Tanzania, UG - Uganda, KE-Kenya)
Response
Payment successful
API response code indicating the status (e.g., '00' for success, '09' for pending).
"00"
Unique identifier for the transaction.
"UDH012345"
The amount processed in the transaction.
200.27
Fee charged for the transaction.
0
Current status of the transaction (e.g., 'Completed', 'Initialized').
"Completed"
Name of the person making the payment.
"Robert Stones"
Account number or identifier of the payer.
"233123456789"
Timestamp when the transaction was initiated.
"2024-05-21T20:14:01.254748"
Timestamp when the transaction was completed. Can be null if still pending.
"2024-05-21T20:14:29.889059"
Currency code for the transaction.
"GHS"